Package skyview.survey

# Class AkariGenerator

java.lang.Object
skyview.survey.SIAPGenerator
skyview.survey.AkariGenerator

All Implemented Interfaces:
  `ImageGenerator`

public class AkariGenerator extends SIAPGenerator

## Constructor Summary

Constructors
Constructor
Description
`AkariGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getImages(double ra, double dec, double size, ArrayList<String> spells)`
It appears that the SIAP query for AKARI is assumed to request data in ecliptic coordinates.

### Methods inherited from class skyview.survey.SIAPGenerator

`addPosToURL, getBaseURL, getSurveyName, updateURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AkariGenerator

public AkariGenerator()

## Method Details

### getImages

public void getImages(double ra, double dec, double size, ArrayList<String> spells) throws Exception
It appears that the SIAP query for AKARI is assumed to request data in ecliptic coordinates. So we'll convert the input RA/Dec to ECL and then get the images. The AKARI output fully describes the proxy image, so we don't need to pass anything else special.

Specified by:
  `getImages` in interface `ImageGenerator`
Overrides:
  `getImages` in class `SIAPGenerator`
Parameters:
  `ra` -
  `dec` -
  `size` -
  `spells` -
Throws:
  `Exception`